summaryrefslogtreecommitdiffstats
path: root/hosts
diff options
context:
space:
mode:
Diffstat (limited to 'hosts')
-rwxr-xr-xhosts/bbx15-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir20
-rwxr-xr-xhosts/bpi0-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir20
-rwxr-xr-xhosts/cb3a-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir20
-rwxr-xr-xhosts/cbxi4a-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir20
-rwxr-xr-xhosts/cbxi4b-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir20
-rwxr-xr-xhosts/cbxi4pro0-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir20
-rwxr-xr-xhosts/ff2a-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir20
-rwxr-xr-xhosts/ff2b-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir20
-rwxr-xr-xhosts/ff4a-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir20
-rwxr-xr-xhosts/hb0-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir20
-rwxr-xr-xhosts/jenkins-test-vm/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir20
-rwxr-xr-xhosts/jenkins/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir20
-rwxr-xr-xhosts/jtk1a-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir20
-rwxr-xr-xhosts/odu3a-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir20
-rwxr-xr-xhosts/odxu4-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir20
-rwxr-xr-xhosts/odxu4b-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir20
-rwxr-xr-xhosts/odxu4c-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir20
-rwxr-xr-xhosts/opi2a-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir20
-rwxr-xr-xhosts/opi2b-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir20
-rwxr-xr-xhosts/opi2c-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir20
-rwxr-xr-xhosts/profitbricks-build1-amd64/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir20
-rwxr-xr-xhosts/profitbricks-build10-amd64/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir20
-rwxr-xr-xhosts/profitbricks-build11-amd64/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir20
-rwxr-xr-xhosts/profitbricks-build15-amd64/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir20
-rwxr-xr-xhosts/profitbricks-build2-i386/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir20
-rwxr-xr-xhosts/profitbricks-build5-amd64/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir20
-rwxr-xr-xhosts/profitbricks-build6-i386/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir20
-rwxr-xr-xhosts/rpi2b-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir20
-rwxr-xr-xhosts/rpi2c-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir20
-rwxr-xr-xhosts/wbd0-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir20
-rwxr-xr-xhosts/wbq0-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir20
31 files changed, 620 insertions, 0 deletions
diff --git a/hosts/bbx15-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir b/hosts/bbx15-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
new file mode 100755
index 00000000..7750fdfe
--- /dev/null
+++ b/hosts/bbx15-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -e
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+cd $BUILDDIR
+
+if [ "$(basename $(pwd))" != "2nd" ]; then
+ # build path variation disabled, so do nothing
+ exit 0
+fi
+
+# There should be only one file, the source directory.
+src_dir=$(ls | head -n 1)
+
+# We want to keep the build path length to minimise the diff. So we just
+# replace the first char of the source dir.
+mv $src_dir _${src_dir:1}
diff --git a/hosts/bpi0-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir b/hosts/bpi0-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
new file mode 100755
index 00000000..7750fdfe
--- /dev/null
+++ b/hosts/bpi0-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -e
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+cd $BUILDDIR
+
+if [ "$(basename $(pwd))" != "2nd" ]; then
+ # build path variation disabled, so do nothing
+ exit 0
+fi
+
+# There should be only one file, the source directory.
+src_dir=$(ls | head -n 1)
+
+# We want to keep the build path length to minimise the diff. So we just
+# replace the first char of the source dir.
+mv $src_dir _${src_dir:1}
diff --git a/hosts/cb3a-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir b/hosts/cb3a-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
new file mode 100755
index 00000000..7750fdfe
--- /dev/null
+++ b/hosts/cb3a-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -e
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+cd $BUILDDIR
+
+if [ "$(basename $(pwd))" != "2nd" ]; then
+ # build path variation disabled, so do nothing
+ exit 0
+fi
+
+# There should be only one file, the source directory.
+src_dir=$(ls | head -n 1)
+
+# We want to keep the build path length to minimise the diff. So we just
+# replace the first char of the source dir.
+mv $src_dir _${src_dir:1}
diff --git a/hosts/cbxi4a-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir b/hosts/cbxi4a-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
new file mode 100755
index 00000000..7750fdfe
--- /dev/null
+++ b/hosts/cbxi4a-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -e
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+cd $BUILDDIR
+
+if [ "$(basename $(pwd))" != "2nd" ]; then
+ # build path variation disabled, so do nothing
+ exit 0
+fi
+
+# There should be only one file, the source directory.
+src_dir=$(ls | head -n 1)
+
+# We want to keep the build path length to minimise the diff. So we just
+# replace the first char of the source dir.
+mv $src_dir _${src_dir:1}
diff --git a/hosts/cbxi4b-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir b/hosts/cbxi4b-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
new file mode 100755
index 00000000..7750fdfe
--- /dev/null
+++ b/hosts/cbxi4b-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -e
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+cd $BUILDDIR
+
+if [ "$(basename $(pwd))" != "2nd" ]; then
+ # build path variation disabled, so do nothing
+ exit 0
+fi
+
+# There should be only one file, the source directory.
+src_dir=$(ls | head -n 1)
+
+# We want to keep the build path length to minimise the diff. So we just
+# replace the first char of the source dir.
+mv $src_dir _${src_dir:1}
diff --git a/hosts/cbxi4pro0-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir b/hosts/cbxi4pro0-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
new file mode 100755
index 00000000..7750fdfe
--- /dev/null
+++ b/hosts/cbxi4pro0-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -e
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+cd $BUILDDIR
+
+if [ "$(basename $(pwd))" != "2nd" ]; then
+ # build path variation disabled, so do nothing
+ exit 0
+fi
+
+# There should be only one file, the source directory.
+src_dir=$(ls | head -n 1)
+
+# We want to keep the build path length to minimise the diff. So we just
+# replace the first char of the source dir.
+mv $src_dir _${src_dir:1}
diff --git a/hosts/ff2a-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir b/hosts/ff2a-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
new file mode 100755
index 00000000..7750fdfe
--- /dev/null
+++ b/hosts/ff2a-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -e
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+cd $BUILDDIR
+
+if [ "$(basename $(pwd))" != "2nd" ]; then
+ # build path variation disabled, so do nothing
+ exit 0
+fi
+
+# There should be only one file, the source directory.
+src_dir=$(ls | head -n 1)
+
+# We want to keep the build path length to minimise the diff. So we just
+# replace the first char of the source dir.
+mv $src_dir _${src_dir:1}
diff --git a/hosts/ff2b-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir b/hosts/ff2b-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
new file mode 100755
index 00000000..7750fdfe
--- /dev/null
+++ b/hosts/ff2b-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -e
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+cd $BUILDDIR
+
+if [ "$(basename $(pwd))" != "2nd" ]; then
+ # build path variation disabled, so do nothing
+ exit 0
+fi
+
+# There should be only one file, the source directory.
+src_dir=$(ls | head -n 1)
+
+# We want to keep the build path length to minimise the diff. So we just
+# replace the first char of the source dir.
+mv $src_dir _${src_dir:1}
diff --git a/hosts/ff4a-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir b/hosts/ff4a-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
new file mode 100755
index 00000000..7750fdfe
--- /dev/null
+++ b/hosts/ff4a-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -e
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+cd $BUILDDIR
+
+if [ "$(basename $(pwd))" != "2nd" ]; then
+ # build path variation disabled, so do nothing
+ exit 0
+fi
+
+# There should be only one file, the source directory.
+src_dir=$(ls | head -n 1)
+
+# We want to keep the build path length to minimise the diff. So we just
+# replace the first char of the source dir.
+mv $src_dir _${src_dir:1}
diff --git a/hosts/hb0-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir b/hosts/hb0-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
new file mode 100755
index 00000000..7750fdfe
--- /dev/null
+++ b/hosts/hb0-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -e
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+cd $BUILDDIR
+
+if [ "$(basename $(pwd))" != "2nd" ]; then
+ # build path variation disabled, so do nothing
+ exit 0
+fi
+
+# There should be only one file, the source directory.
+src_dir=$(ls | head -n 1)
+
+# We want to keep the build path length to minimise the diff. So we just
+# replace the first char of the source dir.
+mv $src_dir _${src_dir:1}
diff --git a/hosts/jenkins-test-vm/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir b/hosts/jenkins-test-vm/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
new file mode 100755
index 00000000..7750fdfe
--- /dev/null
+++ b/hosts/jenkins-test-vm/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -e
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+cd $BUILDDIR
+
+if [ "$(basename $(pwd))" != "2nd" ]; then
+ # build path variation disabled, so do nothing
+ exit 0
+fi
+
+# There should be only one file, the source directory.
+src_dir=$(ls | head -n 1)
+
+# We want to keep the build path length to minimise the diff. So we just
+# replace the first char of the source dir.
+mv $src_dir _${src_dir:1}
diff --git a/hosts/jenkins/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir b/hosts/jenkins/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
new file mode 100755
index 00000000..7750fdfe
--- /dev/null
+++ b/hosts/jenkins/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -e
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+cd $BUILDDIR
+
+if [ "$(basename $(pwd))" != "2nd" ]; then
+ # build path variation disabled, so do nothing
+ exit 0
+fi
+
+# There should be only one file, the source directory.
+src_dir=$(ls | head -n 1)
+
+# We want to keep the build path length to minimise the diff. So we just
+# replace the first char of the source dir.
+mv $src_dir _${src_dir:1}
diff --git a/hosts/jtk1a-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir b/hosts/jtk1a-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
new file mode 100755
index 00000000..7750fdfe
--- /dev/null
+++ b/hosts/jtk1a-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -e
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+cd $BUILDDIR
+
+if [ "$(basename $(pwd))" != "2nd" ]; then
+ # build path variation disabled, so do nothing
+ exit 0
+fi
+
+# There should be only one file, the source directory.
+src_dir=$(ls | head -n 1)
+
+# We want to keep the build path length to minimise the diff. So we just
+# replace the first char of the source dir.
+mv $src_dir _${src_dir:1}
diff --git a/hosts/odu3a-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir b/hosts/odu3a-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
new file mode 100755
index 00000000..7750fdfe
--- /dev/null
+++ b/hosts/odu3a-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -e
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+cd $BUILDDIR
+
+if [ "$(basename $(pwd))" != "2nd" ]; then
+ # build path variation disabled, so do nothing
+ exit 0
+fi
+
+# There should be only one file, the source directory.
+src_dir=$(ls | head -n 1)
+
+# We want to keep the build path length to minimise the diff. So we just
+# replace the first char of the source dir.
+mv $src_dir _${src_dir:1}
diff --git a/hosts/odxu4-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir b/hosts/odxu4-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
new file mode 100755
index 00000000..7750fdfe
--- /dev/null
+++ b/hosts/odxu4-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -e
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+cd $BUILDDIR
+
+if [ "$(basename $(pwd))" != "2nd" ]; then
+ # build path variation disabled, so do nothing
+ exit 0
+fi
+
+# There should be only one file, the source directory.
+src_dir=$(ls | head -n 1)
+
+# We want to keep the build path length to minimise the diff. So we just
+# replace the first char of the source dir.
+mv $src_dir _${src_dir:1}
diff --git a/hosts/odxu4b-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir b/hosts/odxu4b-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
new file mode 100755
index 00000000..7750fdfe
--- /dev/null
+++ b/hosts/odxu4b-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -e
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+cd $BUILDDIR
+
+if [ "$(basename $(pwd))" != "2nd" ]; then
+ # build path variation disabled, so do nothing
+ exit 0
+fi
+
+# There should be only one file, the source directory.
+src_dir=$(ls | head -n 1)
+
+# We want to keep the build path length to minimise the diff. So we just
+# replace the first char of the source dir.
+mv $src_dir _${src_dir:1}
diff --git a/hosts/odxu4c-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir b/hosts/odxu4c-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
new file mode 100755
index 00000000..7750fdfe
--- /dev/null
+++ b/hosts/odxu4c-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -e
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+cd $BUILDDIR
+
+if [ "$(basename $(pwd))" != "2nd" ]; then
+ # build path variation disabled, so do nothing
+ exit 0
+fi
+
+# There should be only one file, the source directory.
+src_dir=$(ls | head -n 1)
+
+# We want to keep the build path length to minimise the diff. So we just
+# replace the first char of the source dir.
+mv $src_dir _${src_dir:1}
diff --git a/hosts/opi2a-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir b/hosts/opi2a-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
new file mode 100755
index 00000000..7750fdfe
--- /dev/null
+++ b/hosts/opi2a-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -e
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+cd $BUILDDIR
+
+if [ "$(basename $(pwd))" != "2nd" ]; then
+ # build path variation disabled, so do nothing
+ exit 0
+fi
+
+# There should be only one file, the source directory.
+src_dir=$(ls | head -n 1)
+
+# We want to keep the build path length to minimise the diff. So we just
+# replace the first char of the source dir.
+mv $src_dir _${src_dir:1}
diff --git a/hosts/opi2b-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir b/hosts/opi2b-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
new file mode 100755
index 00000000..7750fdfe
--- /dev/null
+++ b/hosts/opi2b-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -e
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+cd $BUILDDIR
+
+if [ "$(basename $(pwd))" != "2nd" ]; then
+ # build path variation disabled, so do nothing
+ exit 0
+fi
+
+# There should be only one file, the source directory.
+src_dir=$(ls | head -n 1)
+
+# We want to keep the build path length to minimise the diff. So we just
+# replace the first char of the source dir.
+mv $src_dir _${src_dir:1}
diff --git a/hosts/opi2c-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir b/hosts/opi2c-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
new file mode 100755
index 00000000..7750fdfe
--- /dev/null
+++ b/hosts/opi2c-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -e
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+cd $BUILDDIR
+
+if [ "$(basename $(pwd))" != "2nd" ]; then
+ # build path variation disabled, so do nothing
+ exit 0
+fi
+
+# There should be only one file, the source directory.
+src_dir=$(ls | head -n 1)
+
+# We want to keep the build path length to minimise the diff. So we just
+# replace the first char of the source dir.
+mv $src_dir _${src_dir:1}
diff --git a/hosts/profitbricks-build1-amd64/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir b/hosts/profitbricks-build1-amd64/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
new file mode 100755
index 00000000..7750fdfe
--- /dev/null
+++ b/hosts/profitbricks-build1-amd64/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -e
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+cd $BUILDDIR
+
+if [ "$(basename $(pwd))" != "2nd" ]; then
+ # build path variation disabled, so do nothing
+ exit 0
+fi
+
+# There should be only one file, the source directory.
+src_dir=$(ls | head -n 1)
+
+# We want to keep the build path length to minimise the diff. So we just
+# replace the first char of the source dir.
+mv $src_dir _${src_dir:1}
diff --git a/hosts/profitbricks-build10-amd64/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir b/hosts/profitbricks-build10-amd64/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
new file mode 100755
index 00000000..7750fdfe
--- /dev/null
+++ b/hosts/profitbricks-build10-amd64/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -e
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+cd $BUILDDIR
+
+if [ "$(basename $(pwd))" != "2nd" ]; then
+ # build path variation disabled, so do nothing
+ exit 0
+fi
+
+# There should be only one file, the source directory.
+src_dir=$(ls | head -n 1)
+
+# We want to keep the build path length to minimise the diff. So we just
+# replace the first char of the source dir.
+mv $src_dir _${src_dir:1}
diff --git a/hosts/profitbricks-build11-amd64/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir b/hosts/profitbricks-build11-amd64/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
new file mode 100755
index 00000000..7750fdfe
--- /dev/null
+++ b/hosts/profitbricks-build11-amd64/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -e
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+cd $BUILDDIR
+
+if [ "$(basename $(pwd))" != "2nd" ]; then
+ # build path variation disabled, so do nothing
+ exit 0
+fi
+
+# There should be only one file, the source directory.
+src_dir=$(ls | head -n 1)
+
+# We want to keep the build path length to minimise the diff. So we just
+# replace the first char of the source dir.
+mv $src_dir _${src_dir:1}
diff --git a/hosts/profitbricks-build15-amd64/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir b/hosts/profitbricks-build15-amd64/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
new file mode 100755
index 00000000..7750fdfe
--- /dev/null
+++ b/hosts/profitbricks-build15-amd64/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -e
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+cd $BUILDDIR
+
+if [ "$(basename $(pwd))" != "2nd" ]; then
+ # build path variation disabled, so do nothing
+ exit 0
+fi
+
+# There should be only one file, the source directory.
+src_dir=$(ls | head -n 1)
+
+# We want to keep the build path length to minimise the diff. So we just
+# replace the first char of the source dir.
+mv $src_dir _${src_dir:1}
diff --git a/hosts/profitbricks-build2-i386/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir b/hosts/profitbricks-build2-i386/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
new file mode 100755
index 00000000..7750fdfe
--- /dev/null
+++ b/hosts/profitbricks-build2-i386/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -e
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+cd $BUILDDIR
+
+if [ "$(basename $(pwd))" != "2nd" ]; then
+ # build path variation disabled, so do nothing
+ exit 0
+fi
+
+# There should be only one file, the source directory.
+src_dir=$(ls | head -n 1)
+
+# We want to keep the build path length to minimise the diff. So we just
+# replace the first char of the source dir.
+mv $src_dir _${src_dir:1}
diff --git a/hosts/profitbricks-build5-amd64/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir b/hosts/profitbricks-build5-amd64/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
new file mode 100755
index 00000000..7750fdfe
--- /dev/null
+++ b/hosts/profitbricks-build5-amd64/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -e
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+cd $BUILDDIR
+
+if [ "$(basename $(pwd))" != "2nd" ]; then
+ # build path variation disabled, so do nothing
+ exit 0
+fi
+
+# There should be only one file, the source directory.
+src_dir=$(ls | head -n 1)
+
+# We want to keep the build path length to minimise the diff. So we just
+# replace the first char of the source dir.
+mv $src_dir _${src_dir:1}
diff --git a/hosts/profitbricks-build6-i386/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir b/hosts/profitbricks-build6-i386/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
new file mode 100755
index 00000000..7750fdfe
--- /dev/null
+++ b/hosts/profitbricks-build6-i386/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -e
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+cd $BUILDDIR
+
+if [ "$(basename $(pwd))" != "2nd" ]; then
+ # build path variation disabled, so do nothing
+ exit 0
+fi
+
+# There should be only one file, the source directory.
+src_dir=$(ls | head -n 1)
+
+# We want to keep the build path length to minimise the diff. So we just
+# replace the first char of the source dir.
+mv $src_dir _${src_dir:1}
diff --git a/hosts/rpi2b-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir b/hosts/rpi2b-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
new file mode 100755
index 00000000..7750fdfe
--- /dev/null
+++ b/hosts/rpi2b-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -e
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+cd $BUILDDIR
+
+if [ "$(basename $(pwd))" != "2nd" ]; then
+ # build path variation disabled, so do nothing
+ exit 0
+fi
+
+# There should be only one file, the source directory.
+src_dir=$(ls | head -n 1)
+
+# We want to keep the build path length to minimise the diff. So we just
+# replace the first char of the source dir.
+mv $src_dir _${src_dir:1}
diff --git a/hosts/rpi2c-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir b/hosts/rpi2c-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
new file mode 100755
index 00000000..7750fdfe
--- /dev/null
+++ b/hosts/rpi2c-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -e
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+cd $BUILDDIR
+
+if [ "$(basename $(pwd))" != "2nd" ]; then
+ # build path variation disabled, so do nothing
+ exit 0
+fi
+
+# There should be only one file, the source directory.
+src_dir=$(ls | head -n 1)
+
+# We want to keep the build path length to minimise the diff. So we just
+# replace the first char of the source dir.
+mv $src_dir _${src_dir:1}
diff --git a/hosts/wbd0-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir b/hosts/wbd0-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
new file mode 100755
index 00000000..7750fdfe
--- /dev/null
+++ b/hosts/wbd0-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -e
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+cd $BUILDDIR
+
+if [ "$(basename $(pwd))" != "2nd" ]; then
+ # build path variation disabled, so do nothing
+ exit 0
+fi
+
+# There should be only one file, the source directory.
+src_dir=$(ls | head -n 1)
+
+# We want to keep the build path length to minimise the diff. So we just
+# replace the first char of the source dir.
+mv $src_dir _${src_dir:1}
diff --git a/hosts/wbq0-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir b/hosts/wbq0-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
new file mode 100755
index 00000000..7750fdfe
--- /dev/null
+++ b/hosts/wbq0-armhf-rb/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -e
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+cd $BUILDDIR
+
+if [ "$(basename $(pwd))" != "2nd" ]; then
+ # build path variation disabled, so do nothing
+ exit 0
+fi
+
+# There should be only one file, the source directory.
+src_dir=$(ls | head -n 1)
+
+# We want to keep the build path length to minimise the diff. So we just
+# replace the first char of the source dir.
+mv $src_dir _${src_dir:1}